$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = '3ea787e2201f43f3431ad5632829dee74f88240466e09f614287b3d849de20f3'
  checksumType  = 'sha256'
  checksum64    = '3ea787e2201f43f3431ad5632829dee74f88240466e09f614287b3d849de20f3'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
